<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>

<%= error_messages_for 'meeting' %>

<section class="form--section">

  <div class="form--field -required">
    <%= f.text_field :title, :required => true, :size => 60, container_class: '-wide' %>
  </div>

  <% copy_from = local_assigns[:copy_from] %>
  <% if copy_from.present? %>
    <%= f.hidden_field :type, value: copy_from.type %>
    <%= hidden_field_tag "copied_from_meeting_id", copy_from.id %>
    <div class="form--field">
      <%= styled_label_tag 'copy_agenda', t('meeting.copy.agenda') %>
      <div class="form--field-container">
        <%= styled_check_box_tag 'copy_agenda',
                                 1,
                                 true,
                                 no_label: true,
                                 class: 'radio-button' %>
      </div>
      <div class="form--field-instructions">
        <%= t('meeting.copy.agenda_text') %>
      </div>
    </div>
    <div class="form--field">
      <%= styled_label_tag 'copy_attachments', t('meeting.copy.attachments') %>
      <div class="form--field-container">
        <%= styled_check_box_tag 'copy_attachments',
                                 1,
                                 false,
                                 no_label: true,
                                 class: 'radio-button' %>
      </div>
      <div class="form--field-instructions">
        <%= t('meeting.copy.attachments_text') %>
      </div>
    </div>
  <% elsif @meeting.new_record? %>
    <div class="form--field -required -align-start">
      <label class="form--label" for="meeting_type"><%= Meeting.human_attribute_name(:type) %></label>
      <div class="form--field-container">
        <div class="op-tile-block">
          <label class="op-tile-block--tile form--radio-button-container -wide"
                 for="meeting_type_dynamic"
                 data-test-selector="op-tile-block">
            <div class="op-tile-block--content">
              <%= styled_radio_button_tag 'meeting[type]',
                                          'StructuredMeeting',
                                          true,
                                          no_label: true,
                                          class: 'radio-button' %>
              <div>
              <span data-test-selector="op-tile-block-title" class="op-tile-block--title">
                <%= t('meeting.types.structured') %>
              </span>
                <p class="op-tile-block--description">
                  <%= t('meeting.types.structured_text') %>
                  <% if local_assigns[:copy] %>
                    <br/>
                    <strong><%= t('meeting.types.structured_text_copy') %></strong>
                  <% end %>
                </p>
              </div>
            </div>
          </label>
          <label class="op-tile-block--tile form--radio-button-container -wide"
                 for="meeting_type_classic"
                 data-test-selector="op-tile-block">
            <div class="op-tile-block--content">
              <%= styled_radio_button_tag 'meeting[type]',
                                          'Meeting',
                                          false,
                                          no_label: true,
                                          class: 'radio-button' %>
              <div>
              <span data-test-selector="op-tile-block-title" class="op-tile-block--title">
                <%= t('meeting.types.classic') %>
              </span>
                <p class="op-tile-block--description">
                  <%= t('meeting.types.classic_text') %>
                </p>
              </div>
            </div>
          </label>
        </div>
      </div>
    </div>
  <% end %>

  <% if global_meeting_create_context? %>
    <div class="form--field -required">
      <label class="form--label" for="project_id"><%= Meeting.human_attribute_name(:project) %>:</label>
      <div class="form--field-container">
        <%= angular_component_tag 'opce-project-autocompleter',
                                  inputs: {
                                    filters: [{ name: 'user_action', operator: '=', values: ['meetings/create'] }],
                                    inputName: 'project_id',
                                    inputValue: @project&.id,
                                    appendTo: 'body',
                                    hiddenFieldAction: 'change->refresh-on-form-changes#triggerTurboStream',
                                  },
                                  id: 'project_id',
                                  class: 'form--select-container -wide remote-field--input',
                                  data: {
                                    'test-selector': 'project_id'
                                  }
        %>
      </div>
    </div>
  <% end %>

  <div class="form--field">
    <%= f.text_field :location, :size => 60, container_class: '-wide' %>
  </div>

  <div class="form--field -required">
    <label for="meeting_start_date" class="form--label"><%= Meeting.human_attribute_name(:start_date) %>
      <span class="hidden-for-sighted">
        <%= t(:label_start_date) %><%= t(:text_hint_date_format) %>
      </span>
    </label>

    <div class="form--field-container -visible-overflow">
      <%= f.date_picker :start_date,
                        id: 'meeting-form-start-date',
                        required: true,
                        no_label: true
      %>
      <label for="meeting-form-start-time" class="hidden-for-sighted">
        <%= Meeting.human_attribute_name(:start_time) %>
        <label lang="en">
          <%= t(:label_time_zone) %>
          <%= Time.zone.to_s %>
        </label>
      </label>
      <%= f.text_field :start_time_hour,
                       id: 'meeting-form-start-time',
                       required: true,
                       type: 'time',
                       no_label: true,
                       step: 5.minutes,
                       suffix: Time.zone.to_s,
                       container_class: '-xslim' %>
    </div>
  </div>

  <div class="form--field -required">
    <label for="meeting-form-duration" class="form--label"><%= Meeting.human_attribute_name(:duration) %></label>
    <div class="form--field-container">
      <%= f.number_field :duration,
                         id: 'meeting-form-duration',
                         required: true,
                         size: 5,
                         no_label: true,
                         min: 0.00,
                         step: 0.25,
                         max: 168,
                         suffix: t(:text_in_hours),
                         container_class: '-xslim' %>
    </div>
  </div>

  <%= render partial: 'meetings/participants_section' %>
</section>
